For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • GETList of job scope templates for EOR contracts
      • POSTRequest job scope validation
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Job Scopes

Request job scope validation

POST
/eor/job-scopes/validate
POST
/rest/v2/eor/job-scopes/validate
$curl -X POST https://api.letsdeel.com/rest/v2/eor/job-scopes/validate \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "team_id": "123e4567-e89b-12d3-a456-426614174000",
> "job_scope": "Software development and maintenance.",
> "job_title": "Software Engineer",
> "employee_name": "John Doe",
> "employment_country": "US",
> "client_legal_entity_id": "123e4567-e89b-12d3-a456-426614174002"
> }
>}'
1{
2 "errors": [
3 {
4 "message": "Job scope contains restricted pronouns",
5 "relevant_text": "you"
6 }
7 ],
8 "quote_validation_log_public_id": "123e4567-e89b-12d3-a456-426614174002",
9 "data_for_corrected_job_scope_endpoint": {
10 "anonymized_job_scope": "Software development and maintenance.",
11 "errors_for_correct_job_scope": [
12 {
13 "message": "Job scope contains restricted pronouns"
14 }
15 ],
16 "must_create_correct_job_scope": true
17 }
18}

Validates a job scope description and returns any validation errors. When errors are present, the response also includes a quote_validation_log_public_id and pre-populated data_for_corrected_job_scope_endpoint to support subsequent correction. Token scopes: contracts:write

Was this page helpful?
Previous

Create client sign off

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

Run job scope validation
dataobjectRequired
details of job scope

Response

Successful operation.
errorslist of objects
List of validation errors, if empty the validation was successfully.
quote_validation_log_public_idstring
Id from validation request.
data_for_corrected_job_scope_endpointobject
Data for corrected job scope endpoint.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication